package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabWhitelist;
import com.zd.laboratory.domain.vo.LabWhitelistVO;

/**
 * 白名单Mapper接口
 *
 * @author zd
 * @date 2022-01-26
 */
public interface LabWhitelistMapper
{
    /**
     * 查询白名单
     *
     * @param id 白名单主键
     * @return 白名单
     */
    public LabWhitelist selectLabWhitelistById(Long id);

    /**
     * 查询白名单列表
     *
     * @param labWhitelist 白名单
     * @return 白名单集合
     */
    public List<LabWhitelist> selectLabWhitelistList(LabWhitelist labWhitelist);

    /**
     * 查询白名单关联的实验室列表
     *
     * @param labWhitelistVO 白名单
     * @return 白名单集合
     */
    public List<LabWhitelist> selectLabWhiteJoinSubList(LabWhitelistVO labWhitelistVO);

    /**
     * 新增白名单
     *
     * @param labWhitelist 白名单
     * @return 结果
     */
    public int insertLabWhitelist(LabWhitelist labWhitelist);

    /**
     * 修改白名单
     *
     * @param labWhitelist 白名单
     * @return 结果
     */
    public int updateLabWhitelist(LabWhitelist labWhitelist);

    /**
     * 删除白名单
     *
     * @param id 白名单主键
     * @return 结果
     */
    public int deleteLabWhitelistById(Long id);

    /**
     * 批量删除白名单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabWhitelistByIds(Long[] ids);
}
